PathwiseVegasOuterAccountingEngine Class Reference

Engine collecting cash flows along a market-model simulation for doing pathwise computation of Deltas and vegas. More...

`#include <ql/models/marketmodels/pathwiseaccountingengine.hpp>`

## Public Member Functions

| PathwiseVegasOuterAccountingEngine (const ext::shared_ptr< LogNormalFwdRateEuler > &evolver, const Clone< MarketModelPathwiseMultiProduct > &product, const ext::shared_ptr< MarketModel > &pseudoRootStructure, const std::vector< std::vector< Matrix > > &VegaBumps, Real initialNumeraireValue)
void | multiplePathValues (std::vector< Real > &means, std::vector< Real > &errors, Size numberOfPaths)
| Use to get vegas with respect to VegaBumps.
void | multiplePathValuesElementary (std::vector< Real > &means, std::vector< Real > &errors, Size numberOfPaths)
| Use to get vegas with respect to pseudo-root-elements.

## Detailed Description

Engine collecting cash flows along a market-model simulation for doing pathwise computation of Deltas and vegas.

Examples
  MarketModels.cpp.